ModuleUtils (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class ModuleUtils

    java.lang.Object
      org.apache.struts.util.ModuleUtils

    public class ModuleUtils

extends Object

General purpose utility methods related to module processing.

Since:
  Struts 1.2
Version:
  $Rev: 471754 $

Constructor Summary
`protected` | `ModuleUtils()` Constructor for ModuleUtils.

Method Summary
`static ModuleUtils` | `getInstance()` Returns the Singleton instance of TagUtils.
`ModuleConfig` | `getModuleConfig(HttpServletRequest request)` Return the current ModuleConfig object stored in request, if it exists, null otherwise.
`ModuleConfig` | `getModuleConfig(HttpServletRequest request, ServletContext context)` Return the ModuleConfig object is it exists, null otherwise.
`ModuleConfig` | `getModuleConfig(String prefix, HttpServletRequest request, ServletContext context)` Return the desired ModuleConfig object stored in context, if it exists, otherwise return the current ModuleConfig
`ModuleConfig` | `getModuleConfig(String prefix, ServletContext context)` Return the desired ModuleConfig object stored in context, if it exists, null otherwise.
`String` | `getModuleName(HttpServletRequest request, ServletContext context)` Get the module name to which the specified request belong.
`String` | `getModuleName(String matchPath, ServletContext context)` Get the module name to which the specified uri belong.
`String[]` | `getModulePrefixes(ServletContext context)` Return the list of module prefixes that are defined for this web application.
`void` | `selectModule(HttpServletRequest request, ServletContext context)` Select the module to which the specified request belongs, and add corresponding request attributes to this request.
`void` | `selectModule(String prefix, HttpServletRequest request, ServletContext context)` Select the module to which the specified request belongs, and add corresponding request attributes to this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleUtils

    protected ModuleUtils()

  Constructor for ModuleUtils.

Method Detail

### getInstance

    public static ModuleUtils getInstance()

  Returns the Singleton instance of TagUtils.

### getModuleConfig

    public ModuleConfig getModuleConfig(HttpServletRequest request)

  Return the current ModuleConfig object stored in request, if it exists, null otherwise. This method can be used by plugin to retrieve the current module config object. If no moduleConfig is found, this means that the request haven't hit the server throught the struts servlet. The appropriate module config can be set and found with ``selectModule(HttpServletRequest, ServletContext)`` .

  Parameters:
    `request` - The servlet request we are processing
  Returns:
    the ModuleConfig object from request, or null if none is set in the request.

### getModuleConfig

    public ModuleConfig getModuleConfig(String prefix,
                                        ServletContext context)

  Return the desired ModuleConfig object stored in context, if it exists, null otherwise.

  Parameters:
    `prefix` - The module prefix of the desired module
    `context` - The ServletContext for this web application
  Returns:
    the ModuleConfig object specified, or null if not found in the context.

### getModuleConfig

    public ModuleConfig getModuleConfig(String prefix,
                                        HttpServletRequest request,
                                        ServletContext context)

  Return the desired ModuleConfig object stored in context, if it exists, otherwise return the current ModuleConfig

  Parameters:
    `prefix` - The module prefix of the desired module
    `request` - The servlet request we are processing
    `context` - The ServletContext for this web application
  Returns:
    the ModuleConfig object specified, or null if not found in the context.

### getModuleConfig

    public ModuleConfig getModuleConfig(HttpServletRequest request,
                                        ServletContext context)

  Return the ModuleConfig object is it exists, null otherwise.

  Parameters:
    `request` - The servlet request we are processing
    `context` - The ServletContext for this web application
  Returns:
    the ModuleConfig object

### getModuleName

    public String getModuleName(HttpServletRequest request,
                                ServletContext context)

  Get the module name to which the specified request belong.

  Parameters:
    `request` - The servlet request we are processing
    `context` - The ServletContext for this web application
  Returns:
    The module prefix or ""

### getModuleName

    public String getModuleName(String matchPath,
                                ServletContext context)

  Get the module name to which the specified uri belong.

  Parameters:
    `matchPath` - The uri from which we want the module name.
    `context` - The ServletContext for this web application
  Returns:
    The module prefix or ""

### getModulePrefixes

    public String[] getModulePrefixes(ServletContext context)

  Return the list of module prefixes that are defined for this web application. NOTE - the "" prefix for the default module is not included in this list.

  Parameters:
    `context` - The ServletContext for this web application.
  Returns:
    An array of module prefixes.

### selectModule

    public void selectModule(HttpServletRequest request,
                             ServletContext context)

  Select the module to which the specified request belongs, and add corresponding request attributes to this request.

  Parameters:
    `request` - The servlet request we are processing
    `context` - The ServletContext for this web application

### selectModule

    public void selectModule(String prefix,
                             HttpServletRequest request,
                             ServletContext context)

  Select the module to which the specified request belongs, and add corresponding request attributes to this request.

  Parameters:
    `prefix` - The module prefix of the desired module
    `request` - The servlet request we are processing
    `context` - The ServletContext for this web application

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.